Package tigase.vhosts.filter

# Enum Class Rule.RuleType

java.lang.Object
java.lang.Enum<Rule.RuleType>
tigase.vhosts.filter.Rule.RuleType

All Implemented Interfaces:
  `Serializable`, `Comparable<Rule.RuleType>`, `Constable`

Enclosing class:
  Rule

public static enum Rule.RuleType extends Enum<Rule.RuleType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `all`
  `domain`
  `jid`
  `self`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Rule.RuleType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Rule.RuleType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### jid

    public static final Rule.RuleType jid

  - ### self

    public static final Rule.RuleType self

  - ### domain

    public static final Rule.RuleType domain

  - ### all

    public static final Rule.RuleType all

- ## Method Details

  - ### values

    public static Rule.RuleType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Rule.RuleType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null